﻿<cfprocessingdirective pageencoding="utf-8" />
<cfsetting enablecfoutputonly="true" />
<cfobject component="pjmng.cmp.pjinfo" name="objPjinfo">
<!--- プロジェクト情報取得 --->
<cfinvoke component="#objPjinfo#" method="getProjectInCode" returnvariable="retProjectInCode">
	<cfinvokeargument name="project_cd" value="#url.project_cd#"><!--- プロジェクトコード --->
</cfinvoke>

<cfobject component="pjmng.cmp.masterData" name="objMasterData">

<!--- 担当営業取得 --->
<cfinvoke component="#objMasterData#" method="getSales" returnvariable="retSales">
	<cfinvokeargument name="department_cd" value="03">
</cfinvoke>

<!--- 状況取得 --->
<cfinvoke component="#objMasterData#" method="getStatusMst" returnvariable="retStatus" />

<!--- 顧客情報状況取得 --->
<cfinvoke component="#objMasterData#" method="getCustomerMst" returnvariable="retCustomer" />
<cfsetting enablecfoutputonly="false" />
<html>
<head>
	<title>PJ登録</title>
	<link rel="stylesheet" href="./common/default.css" type="text/css">
</head>
<body>
<cfinclude template="./common/header.cfm">
<br />
<br />
<br />

<div align="center">
<cfform name="frm1" action="pjinfo04.cfm?project_cd=#url.project_cd#"
		format="flash" skin="haloGreen" width="800">
<cfformgroup type="Panel" label="プロジェクト登録"
        style="marginTop:20; marginBottom:20;
        headerColors:##8fbc8f, ##ffffff; cornerRadius:12;">
	<cfoutput query="retProjectInCode">
		<cfformgroup type="HBox" width="700" height="50">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">顧客名</cfformitem>
			</cfformgroup>
		<cfformgroup type="HBox">
			<cfselect name="customer_cd" query="retCustomer" value="customer_cd" display="customer_nm" queryposition="below"
						required="true" message="顧客を選択して下さい。" selected="#CUSTOMER_CD#">
				<option name="0"></option>
			</cfselect>
		</cfformgroup>
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">プロジェクト名</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="text" name="project_nm" size="20" maxlength="40" VALUE="#PROJECT_NM#"
						required="true" message="プロジェクト名を入力して下さい。">
			</cfformgroup>
		</cfformgroup>
		<cfformgroup type="HBox" width="700" height="50">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text" >開始日付（予）</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="exp_start_dt" width="90" mask="YYYY/MM/DD" VALUE="#EXPECTED_START#"
						 required="true" message="開始日付（予）を入力して下さい。">
			</cfformgroup>
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">終了日付（予）</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="exp_end_dt" width="90" mask="YYYY/MM/DD" VALUE="#EXPECTED_END#"
						 required="true" message="終了日付（予）を入力して下さい。">
			</cfformgroup>
		</cfformgroup>

		<cfformgroup type="HBox" width="700" height="50">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text" >開始日付（実）</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="act_start_dt" width="90" mask="YYYY/MM/DD" VALUE="#ACTUAL_START#">
			</cfformgroup>
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">終了日付（実）</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="act_end_dt" width="90" mask="YYYY/MM/DD" VALUE="#ACTUAL_END#">
			</cfformgroup>
		</cfformgroup>

		<cfformgroup type="HBox" width="700" height="50">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">納品日</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="dlv_dt" width="90" mask="YYYY/MM/DD" VALUE="#DELIVERY_DT#">
			</cfformgroup>
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">検収日</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfinput type="datefield" name="acpt_dt" width="90" mask="YYYY/MM/DD" VALUE="#ACCEPTANCE_DT#">
			</cfformgroup>
		</cfformgroup>

		<cfformgroup type="HBox" width="700" height="120">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">プロジェクト概要</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cftextarea name="ov_view" height="100" width="500">#OVERVIEW#</cftextarea>
			</cfformgroup>
		</cfformgroup>

		<cfformgroup type="HBox" width="700" height="50">
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">営業担当</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfselect name="sales_cd" query="retSales" value="employee_cd" display="employee_nm" queryposition="below"
							width="100" required="true" message="営業担当を選択して下さい。" selected="#SALES_CD#">
					<option name="00"></option>
				</cfselect>
			</cfformgroup>
			<cfformgroup type="HBox" width="100">
				<cfformitem type="text">状況</cfformitem>
			</cfformgroup>
			<cfformgroup type="HBox">
				<cfselect name="status_cd" query="retStatus"value="status_cd" display="status_nm" queryposition="below"
							width="100" required="true" message="状況を選択して下さい。" selected="#STATUS_CD#">
					<option name="00"></option>
				</cfselect>
			</cfformgroup>
		</cfformgroup>
	</cfoutput>

	<cfformgroup type="HBox" width="700" height="80">
		<cfformgroup type="page">
			<cfformitem type="spacer" width="500" />
		</cfformgroup>
		<cfformgroup type="page">
			<cfinput type="submit" name="entry" value="更　新" height="50" width="80" style="fontWeight:bold; fontSize:14;">
		</cfformgroup>
	</cfformgroup>

</cfformgroup>

</cfform>
</div>
</body>
</html>
