﻿<cfprocessingdirective pageencoding="utf-8" />
<cfsetting enablecfoutputonly="true" />
<cfobject component="pjmng.cmp.masterData" name="objMasterData">

<!--- 担当営業取得 --->
<cfinvoke component="#objMasterData#" method="getSales" returnvariable="retSales">
	<cfinvokeargument name="department_cd" value="03">
</cfinvoke>

<!--- 状況取得 --->
<cfinvoke component="#objMasterData#" method="getStatusMst" returnvariable="retStatus" />

<!--- 顧客情報状況取得 --->
<cfinvoke component="#objMasterData#" method="getCustomerMst" returnvariable="retCustomer" />
<cfsetting enablecfoutputonly="false" />
<html>
<head>
	<title>PJ登録</title>
	<link rel="stylesheet" href="./common/default.css" type="text/css">
</head>
<body>
<cfinclude template="./common/header.cfm">
<br />
<br />
<br />

<div align="center">
<cfform name="frm1" action="pjinfo02.cfm"
		format="flash" skin="haloGreen" width="800">
	<cfformgroup type="Panel" label="プロジェクト登録" width="780"
	        style="marginTop:20; marginBottom:20;
	        headerColors:##8fbc8f, ##ffffff; cornerRadius:12;">

		<cfformgroup type="horizontal" width="700" height="50">
			<cfselect name="customer_cd" query="retCustomer" value="customer_cd" display="customer_nm" queryposition="below"
						required="true" message="顧客を選択して下さい。" label="顧客名                    " width="170">
				<option name="0"></option>
			</cfselect>
			<cfformitem type="spacer" width="40" />

			<cfinput type="text" name="project_nm" size="20" maxlength="40"
					required="true" message="プロジェクト名を入力して下さい。" label="プロジェクト名　　　　　　　">
		</cfformgroup>

		<cfformgroup type="horizontal" width="700" height="50">
			<cfinput type="datefield" name="exp_start_dt" width="90" mask="YYYY/MM/DD"
					 required="true" message="開始日付（予）を入力して下さい。" label="開始日付（予）　　　　　　　">
			<cfformitem type="spacer" width="120" />
			<cfinput type="datefield" name="exp_end_dt" width="90" mask="YYYY/MM/DD"
					 required="true" message="終了日付（予）を入力して下さい。" label="終了日付（予）　　　　　　　">
		</cfformgroup>

		<cfformgroup type="horizontal" width="700" height="50">
			<cfinput type="datefield" name="dlv_dt" width="90" mask="YYYY/MM/DD" label="納品日　 　　　　　　　　　　">
			<cfformitem type="spacer" width="120" />
			<cfinput type="datefield" name="acpt_dt" width="90" mask="YYYY/MM/DD" label="検収日　　　　　　　　　　　">
		</cfformgroup>

		<cfformgroup type="horizontal" width="700" height="120">
			<cftextarea name="ov_view" height="100" width="500" label="プロジェクト概要　　　　　　"/>
		</cfformgroup>

		<cfformgroup type="horizontal" width="700" height="50">
			<cfselect name="sales_cd" query="retSales" value="employee_cd" display="employee_nm" queryposition="below"
						width="100" required="true" message="営業担当を選択して下さい。" label="営業担当　　　　　　　　　　">
				<option name="00"></option>
			</cfselect>
			<cfformitem type="spacer" width="110" />
			<cfselect name="status_cd" query="retStatus"value="status_cd" display="status_nm" queryposition="below"
						width="100" required="true" message="状況を選択して下さい。" label="状況　　　　　　　　　　　　">
				<option name="00"></option>
			</cfselect>
		</cfformgroup>

		<cfformgroup type="horizontal" width="745" height="80">
			<cfformitem type="spacer" width="600" />
			<cfinput type="submit" name="entry" value="登　録" height="50" width="80" style="fontWeight:bold; fontSize:14;">
		</cfformgroup>


	</cfformgroup>

</cfform>
</div>
</body>
</html>
